/*
 * xsky - an interactive sky atlas
 *
 * Copyright 1995, Terry R. Friedrichsen
 *
 * This program may be copied and redistributed, in whole or in part,
 * as long as you don't try to make any money from the sale or redis-
 * tribution of the program or any part of the program, or pretend
 * that you wrote the program or any of its parts unless specifically
 * credited by the original author.
 *
 * You are free to make use of this software in your own programs, as
 * long as you credit the original author where it is due.
 */

/*
 * WARRANTY:
 * xsky was written as a learning project and as a demonstration of
 * X Window System programming.  xsky doesn't do anything; it is not
 * merchantable, and it is not fit for any purpose whatsoever.  In
 * fact, don't use xsky at all; it's free, and you're getting what
 * you paid for.
 */

#define UGC_CATALOG_NAME   "Uppsala General Catalog of Galaxies"

#define UGC_MENU_NAME      "UGC"

#define UGC_EPOCH          1950.0

#define MAX_UGC                 12940

#define UGC_RECLEN              83

#define UGC_NUM_START                  4
#define UGC_NUM_LENGTH                 5

#define ADDENDA_FLAG_START             9
#define ADDENDA_FLAG_LENGTH            1

#define POS_RA_START                  10
#define POS_RA_LENGTH                  6

#define POS_DEC_START                 16
#define POS_DEC_LENGTH                 5

#define MCG_DESIGNATION_START         21
#define MCG_DESIGNATION_LENGTH        13

#define POSS_FIELD_START              34
#define POSS_FIELD_LENGTH              4

#define POSS_BLUE_MAJOR_AXIS_START    38
#define POSS_BLUE_MAJOR_AXIS_LENGTH    6

#define POSS_BLUE_MINOR_AXIS_START    44
#define POSS_BLUE_MINOR_AXIS_LENGTH    5

#define POSITION_ANGLE_START          49
#define POSITION_ANGLE_LENGTH          3

#define HUBBLE_CLASS_START            52
#define HUBBLE_CLASS_LENGTH            7

#define MAGNITUDE_PG_START            60
#define MAGNITUDE_PG_LENGTH            4

#define RADIAL_VELOCITY_START         64
#define RADIAL_VELOCITY_LENGTH         5

#define POSS_RED_MAJOR_AXIS_START     69
#define POSS_RED_MAJOR_AXIS_LENGTH     6

#define POSS_RED_MINOR_AXIS_START     75
#define POSS_RED_MINOR_AXIS_LENGTH     5

#define INCLINATION_BIN_START         80
#define INCLINATION_BIN_LENGTH         1
